/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.bizFsSettleDataCheckItem.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.bizFsSettleDataCheckItem.entity.BizFsSettleDataCheckItem;
import com.unis.financialSupervision.modular.bizFsSettleDataCheckItem.param.BizFsSettleDataCheckItemAddParam;
import com.unis.financialSupervision.modular.bizFsSettleDataCheckItem.param.BizFsSettleDataCheckItemEditParam;
import com.unis.financialSupervision.modular.bizFsSettleDataCheckItem.param.BizFsSettleDataCheckItemIdParam;
import com.unis.financialSupervision.modular.bizFsSettleDataCheckItem.param.BizFsSettleDataCheckItemPageParam;

import java.util.List;

/**
 * 清算数据提取及业务处室核验-合同Service接口
 *
 * @author hjc
 * @date  2024/07/01 10:39
 **/
public interface BizFsSettleDataCheckItemService extends IService<BizFsSettleDataCheckItem> {

    /**
     * 获取清算数据提取及业务处室核验-合同分页
     *
     * @author hjc
     * @date  2024/07/01 10:39
     */
    Page<BizFsSettleDataCheckItem> page(BizFsSettleDataCheckItemPageParam bizFsSettleDataCheckItemPageParam);

    /**
     * 添加清算数据提取及业务处室核验-合同
     *
     * @author hjc
     * @date  2024/07/01 10:39
     */
    void add(BizFsSettleDataCheckItemAddParam bizFsSettleDataCheckItemAddParam);

    /**
     * 编辑清算数据提取及业务处室核验-合同
     *
     * @author hjc
     * @date  2024/07/01 10:39
     */
    void edit(BizFsSettleDataCheckItemEditParam bizFsSettleDataCheckItemEditParam);

    /**
     * 删除清算数据提取及业务处室核验-合同
     *
     * @author hjc
     * @date  2024/07/01 10:39
     */
    void delete(List<BizFsSettleDataCheckItemIdParam> bizFsSettleDataCheckItemIdParamList);

    /**
     * 获取清算数据提取及业务处室核验-合同详情
     *
     * @author hjc
     * @date  2024/07/01 10:39
     */
    BizFsSettleDataCheckItem detail(BizFsSettleDataCheckItemIdParam bizFsSettleDataCheckItemIdParam);

    /**
     * 获取清算数据提取及业务处室核验-合同详情
     *
     * @author hjc
     * @date  2024/07/01 10:39
     **/
    BizFsSettleDataCheckItem queryEntity(String id);
}
