/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.businessContract.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.businessContract.entity.BusinessContract;
import com.unis.financialSupervision.modular.businessContract.param.BusinessContractAddParam;
import com.unis.financialSupervision.modular.businessContract.param.BusinessContractEditParam;
import com.unis.financialSupervision.modular.businessContract.param.BusinessContractIdParam;
import com.unis.financialSupervision.modular.businessContract.param.BusinessContractPageParam;

import java.util.List;

/**
 * 合同信息Service接口
 *
 * @author hjc
 * @date  2024/07/01 15:01
 **/
public interface BusinessContractService extends IService<BusinessContract> {

    /**
     * 获取合同信息分页
     *
     * @author hjc
     * @date  2024/07/01 15:01
     */
    Page<BusinessContract> page(BusinessContractPageParam businessContractPageParam);

    /**
     * 添加合同信息
     *
     * @author hjc
     * @date  2024/07/01 15:01
     */
    void add(BusinessContractAddParam businessContractAddParam);

    /**
     * 编辑合同信息
     *
     * @author hjc
     * @date  2024/07/01 15:01
     */
    void edit(BusinessContractEditParam businessContractEditParam);

    /**
     * 删除合同信息
     *
     * @author hjc
     * @date  2024/07/01 15:01
     */
    void delete(List<BusinessContractIdParam> businessContractIdParamList);

    /**
     * 获取合同信息详情
     *
     * @author hjc
     * @date  2024/07/01 15:01
     */
    BusinessContract detail(BusinessContractIdParam businessContractIdParam);

    /**
     * 获取合同信息详情
     *
     * @author hjc
     * @date  2024/07/01 15:01
     **/
    BusinessContract queryEntity(Integer id);
}
