/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsinterestsubsidysettle.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 财务监管-省级储备粮清算管理-利息补贴清算表实体
 *
 * @author ZeroLiYi
 * @date  2024/06/28 17:51
 **/
@Getter
@Setter
@TableName("biz_fs_interest_subsidy_settle")
public class FsInterestSubsidySettle {

    /** 唯一标识 */
    @TableId
    @ApiModelProperty(value = "唯一标识", position = 1)
    private String id;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间", position = 2)
    @TableField(fill = FieldFill.INSERT)
    private Date createTime;

    /** 创建用户 */
    @ApiModelProperty(value = "创建用户", position = 3)
    @TableField(fill = FieldFill.INSERT)
    private String createUser;

    /** 修改时间 */
    @ApiModelProperty(value = "修改时间", position = 4)
    @TableField(fill = FieldFill.UPDATE)
    private Date updateTime;

    /** 更新用户 */
    @ApiModelProperty(value = "更新用户", position = 5)
    @TableField(fill = FieldFill.UPDATE)
    private String updateUser;

    /** 库区；外库depot_qh.org_info的id； */
    @ApiModelProperty(value = "库区；外库depot_qh.org_info的id；", position = 6)
    private Integer orgId;

    /** 年 */
    @ApiModelProperty(value = "年", position = 7)
    private Integer year;

    /** 应拨利息 */
    @ApiModelProperty(value = "应拨利息", position = 8)
    private BigDecimal interestAllocated;

    /** 农发行实收利息 */
    @ApiModelProperty(value = "农发行实收利息", position = 9)
    private BigDecimal actualInterestReceived;

    /** 其他扣款 */
    @ApiModelProperty(value = "其他扣款", position = 10)
    private BigDecimal otherDeduction;

    /** 备注 */
    @ApiModelProperty(value = "备注", position = 11)
    private String remark;
}
