/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsinterestsubsidysettle.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsinterestsubsidysettle.entity.FsInterestSubsidySettle;
import com.unis.financialSupervision.modular.fsinterestsubsidysettle.param.FsInterestSubsidySettleAddParam;
import com.unis.financialSupervision.modular.fsinterestsubsidysettle.param.FsInterestSubsidySettleEditParam;
import com.unis.financialSupervision.modular.fsinterestsubsidysettle.param.FsInterestSubsidySettleIdParam;
import com.unis.financialSupervision.modular.fsinterestsubsidysettle.param.FsInterestSubsidySettlePageParam;

import java.util.List;

/**
 * 财务监管-省级储备粮清算管理-利息补贴清算表Service接口
 *
 * @author ZeroLiYi
 * @date  2024/06/28 17:51
 **/
public interface FsInterestSubsidySettleService extends IService<FsInterestSubsidySettle> {

    /**
     * 获取财务监管-省级储备粮清算管理-利息补贴清算表分页
     *
     * @author ZeroLiYi
     * @date  2024/06/28 17:51
     */
    Page<FsInterestSubsidySettle> page(FsInterestSubsidySettlePageParam fsInterestSubsidySettlePageParam);

    /**
     * 添加财务监管-省级储备粮清算管理-利息补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/28 17:51
     */
    void add(FsInterestSubsidySettleAddParam fsInterestSubsidySettleAddParam);

    /**
     * 编辑财务监管-省级储备粮清算管理-利息补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/28 17:51
     */
    void edit(FsInterestSubsidySettleEditParam fsInterestSubsidySettleEditParam);

    /**
     * 删除财务监管-省级储备粮清算管理-利息补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/28 17:51
     */
    void delete(List<FsInterestSubsidySettleIdParam> fsInterestSubsidySettleIdParamList);

    /**
     * 获取财务监管-省级储备粮清算管理-利息补贴清算表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/28 17:51
     */
    FsInterestSubsidySettle detail(FsInterestSubsidySettleIdParam fsInterestSubsidySettleIdParam);

    /**
     * 获取财务监管-省级储备粮清算管理-利息补贴清算表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/28 17:51
     **/
    FsInterestSubsidySettle queryEntity(String id);
}
