/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.fsrpcostinterestsettle.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.fsrpcostinterestsettle.entity.FsRpCostInterestSettle;
import com.unis.financialSupervision.modular.fsrpcostinterestsettle.param.FsRpCostInterestSettleAddParam;
import com.unis.financialSupervision.modular.fsrpcostinterestsettle.param.FsRpCostInterestSettleEditParam;
import com.unis.financialSupervision.modular.fsrpcostinterestsettle.param.FsRpCostInterestSettleIdParam;
import com.unis.financialSupervision.modular.fsrpcostinterestsettle.param.FsRpCostInterestSettlePageParam;

import java.util.List;

/**
 * 财务监管-省级储备粮清算管理-轮换费用利息补贴清算表Service接口
 *
 * @author ZeroLiYi
 * @date  2024/06/28 10:57
 **/
public interface FsRpCostInterestSettleService extends IService<FsRpCostInterestSettle> {

    /**
     * 获取财务监管-省级储备粮清算管理-轮换费用利息补贴清算表分页
     *
     * @author ZeroLiYi
     * @date  2024/06/28 10:57
     */
    List<FsRpCostInterestSettle> page(FsRpCostInterestSettlePageParam fsRpCostInterestSettlePageParam);

    /**
     * 添加财务监管-省级储备粮清算管理-轮换费用利息补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/28 10:57
     */
    void add(List<FsRpCostInterestSettleAddParam> fsRpCostInterestSettleAddParamList);

    /**
     * 编辑财务监管-省级储备粮清算管理-轮换费用利息补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/28 10:57
     */
    void edit(FsRpCostInterestSettleEditParam fsRpCostInterestSettleEditParam);

    /**
     * 删除财务监管-省级储备粮清算管理-轮换费用利息补贴清算表
     *
     * @author ZeroLiYi
     * @date  2024/06/28 10:57
     */
    void delete(List<FsRpCostInterestSettleIdParam> fsRpCostInterestSettleIdParamList);

    /**
     * 获取财务监管-省级储备粮清算管理-轮换费用利息补贴清算表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/28 10:57
     */
    FsRpCostInterestSettle detail(FsRpCostInterestSettleIdParam fsRpCostInterestSettleIdParam);

    /**
     * 获取财务监管-省级储备粮清算管理-轮换费用利息补贴清算表详情
     *
     * @author ZeroLiYi
     * @date  2024/06/28 10:57
     **/
    FsRpCostInterestSettle queryEntity(String id);
}
