/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.priceApproval.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.unis.financialSupervision.modular.priceApproval.param.BusinessContractParam;
import com.unis.financialSupervision.modular.priceApprovalInspection.entity.PriceApprovalInspection;
import com.unis.financialSupervision.modular.priceApprovalSettle.entity.PriceApprovalSettle;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.entity.PriceApprovalThreeConsistence;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
 * 方案价格核定实体
 *
 * @author QSHan
 * @date  2024/07/08 15:08
 **/
@Getter
@Setter
@TableName("business_fs_storage_price_approval")
public class PriceApproval {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** 上报库区；org_info的id； */
    @ApiModelProperty(value = "上报库区；org_info的id；", position = 6)
    private Integer orgId;

    /** 上报时间 */
    @ApiModelProperty(value = "上报时间", position = 7)
    private Date reportTime;

    /** 计划类型 */
    @ApiModelProperty(value = "计划类型", position = 8)
    private String planType;

    /** 采购单位 */
    @ApiModelProperty(value = "采购单位", position = 9)
    private String purchasingUnit;

    /** 合同编号；business_contract的ID； */
    @ApiModelProperty(value = "合同编号；business_contract的ID；", position = 10)
    private Integer contractId;

    /** 状态 0：保存；1：上报；2：已核定； */
    @ApiModelProperty(value = "状态 0：保存；1：上报；2：已核定；", position = 11)
    private Integer status;

    // 分页列表
    @ApiModelProperty(value = "列表-企业名称", position = 12)
    @TableField(exist = false)
    private String dwmc;

    @ApiModelProperty(value = "列表-库区名称", position = 13)
    @TableField(exist = false)
    private String orgName;

    @ApiModelProperty(value = "列表-合同编号", position = 14)
    @TableField(exist = false)
    private String contractNumber;

    @ApiModelProperty(value = "列表-结算金额", position = 15)
    @TableField(exist = false)
    private BigDecimal settleAmount;

    @ApiModelProperty(value = "列表-结算时间", position = 16)
    @TableField(exist = false)
    private BigDecimal settleDate;

    @ApiModelProperty(value = "附件-合同带出", position = 17)
    @TableField(exist = false)
    private String attachment;

    @ApiModelProperty(value = "附件-竞拍日期", position = 18)
    @TableField(exist = false)
    private String signingTime;

    @ApiModelProperty(value = "合同信息")
    @TableField(exist = false)
    private List<BusinessContractParam> contractList;

    @ApiModelProperty(value = "质检信息")
    @TableField(exist = false)
    private List<PriceApprovalInspection> Inspections;

    @ApiModelProperty(value = "三账一致性")
    @TableField(exist = false)
    private List<PriceApprovalThreeConsistence> ThreeConsistences;

    @ApiModelProperty(value = "结算信息,入库费用情况")
    @TableField(exist = false)
    private List<PriceApprovalSettle> Settles;
}
