/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.priceApproval.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.priceApproval.entity.DataCPZ;
import com.unis.financialSupervision.modular.priceApproval.entity.PriceApproval;
import com.unis.financialSupervision.modular.priceApproval.param.PriceApprovalAddParam;
import com.unis.financialSupervision.modular.priceApproval.param.PriceApprovalEditParam;
import com.unis.financialSupervision.modular.priceApproval.param.PriceApprovalIdParam;
import com.unis.financialSupervision.modular.priceApproval.param.PriceApprovalPageParam;

import java.util.List;

/**
 * 方案价格核定Service接口
 *
 * @author QSHan
 * @date  2024/07/08 15:08
 **/
public interface PriceApprovalService extends IService<PriceApproval> {

    /**
     * 获取方案价格核定分页
     *
     * @author QSHan
     * @date  2024/07/08 15:08
     */
    Page<PriceApproval> page(PriceApprovalPageParam priceApprovalPageParam);

    /**
     * 添加方案价格核定
     *
     * @author QSHan
     * @date  2024/07/08 15:08
     */
    void add(PriceApprovalAddParam priceApprovalAddParam);

    /**
     * 编辑方案价格核定
     *
     * @author QSHan
     * @date  2024/07/08 15:08
     */
    void edit(PriceApprovalEditParam priceApprovalEditParam);

    /**
     * 删除方案价格核定
     *
     * @author QSHan
     * @date  2024/07/08 15:08
     */
    void delete(List<PriceApprovalIdParam> priceApprovalIdParamList);

    /**
     * 获取方案价格核定详情
     *
     * @author QSHan
     * @date  2024/07/08 15:08
     */
    PriceApproval detail(PriceApprovalIdParam priceApprovalIdParam);

    /**
     * 获取方案价格核定详情
     *
     * @author QSHan
     * @date  2024/07/08 15:08
     **/
    PriceApproval queryEntity(Integer id);

    List<DataCPZ> getApprovalThreeRKMX(Integer orgId);
}
