/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.financialSupervision.modular.priceApprovalInspection.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.priceApprovalInspection.entity.PriceApprovalInspection;
import com.unis.financialSupervision.modular.priceApprovalInspection.param.PriceApprovalInspectionAddParam;
import com.unis.financialSupervision.modular.priceApprovalInspection.param.PriceApprovalInspectionEditParam;
import com.unis.financialSupervision.modular.priceApprovalInspection.param.PriceApprovalInspectionIdParam;
import com.unis.financialSupervision.modular.priceApprovalInspection.param.PriceApprovalInspectionPageParam;
import com.unis.financialSupervision.modular.priceApprovalInspection.service.PriceApprovalInspectionService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 方案价格核定-质检信息控制器
 *
 * @author QSHan
 * @date  2024/07/08 15:12
 *//*

@Api(tags = "方案价格核定-质检信息控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class PriceApprovalInspectionController {

    @Resource
    private PriceApprovalInspectionService priceApprovalInspectionService;

    */
/**
     * 获取方案价格核定-质检信息分页
     *
     * @author QSHan
     * @date  2024/07/08 15:12
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取方案价格核定-质检信息分页")
    @SaCheckPermission("/financialSupervision/priceApprovalInspection/page")
    @GetMapping("/financialSupervision/priceApprovalInspection/page")
    public CommonResult<Page<PriceApprovalInspection>> page(PriceApprovalInspectionPageParam priceApprovalInspectionPageParam) {
        return CommonResult.data(priceApprovalInspectionService.page(priceApprovalInspectionPageParam));
    }

    */
/**
     * 添加方案价格核定-质检信息
     *
     * @author QSHan
     * @date  2024/07/08 15:12
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加方案价格核定-质检信息")
    @CommonLog("添加方案价格核定-质检信息")
    @SaCheckPermission("/financialSupervision/priceApprovalInspection/add")
    @PostMapping("/financialSupervision/priceApprovalInspection/add")
    public CommonResult<String> add(@RequestBody @Valid PriceApprovalInspectionAddParam priceApprovalInspectionAddParam) {
        priceApprovalInspectionService.add(priceApprovalInspectionAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑方案价格核定-质检信息
     *
     * @author QSHan
     * @date  2024/07/08 15:12
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑方案价格核定-质检信息")
    @CommonLog("编辑方案价格核定-质检信息")
    @SaCheckPermission("/financialSupervision/priceApprovalInspection/edit")
    @PostMapping("/financialSupervision/priceApprovalInspection/edit")
    public CommonResult<String> edit(@RequestBody @Valid PriceApprovalInspectionEditParam priceApprovalInspectionEditParam) {
        priceApprovalInspectionService.edit(priceApprovalInspectionEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除方案价格核定-质检信息
     *
     * @author QSHan
     * @date  2024/07/08 15:12
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除方案价格核定-质检信息")
    @CommonLog("删除方案价格核定-质检信息")
    @SaCheckPermission("/financialSupervision/priceApprovalInspection/delete")
    @PostMapping("/financialSupervision/priceApprovalInspection/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<PriceApprovalInspectionIdParam> priceApprovalInspectionIdParamList) {
        priceApprovalInspectionService.delete(priceApprovalInspectionIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取方案价格核定-质检信息详情
     *
     * @author QSHan
     * @date  2024/07/08 15:12
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取方案价格核定-质检信息详情")
    @SaCheckPermission("/financialSupervision/priceApprovalInspection/detail")
    @GetMapping("/financialSupervision/priceApprovalInspection/detail")
    public CommonResult<PriceApprovalInspection> detail(@Valid PriceApprovalInspectionIdParam priceApprovalInspectionIdParam) {
        return CommonResult.data(priceApprovalInspectionService.detail(priceApprovalInspectionIdParam));
    }
}
*/
