/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.priceApprovalSettle.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 方案价格核定-结算信息实体
 *
 * @author QSHan
 * @date  2024/07/08 15:20
 **/
@Getter
@Setter
@TableName("business_fs_storage_price_approval_settle")
public class PriceApprovalSettle {

    /** 主键ID */
    @TableId
    @ApiModelProperty(value = "主键ID", position = 1)
    private Integer id;

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** business_fs_storage_price_approval的ID */
    @ApiModelProperty(value = "business_fs_storage_price_approval的ID", position = 6)
    private Integer fsStoragePriceApprovalId;

    /** 入库确认单ID；business_fs_receipt_confirm的ID； */
    @ApiModelProperty(value = "入库确认单ID；business_fs_receipt_confirm的ID；", position = 7)
    private Integer fsReceiptConfirmId;

    /** 省平台修改-入库确认单-小计-总结算数量（吨） */
    @ApiModelProperty(value = "省平台修改-入库确认单-小计-总结算数量（吨）", position = 8)
    private BigDecimal provinceTotalSettleQuantity;

    /** 省平台修改-入库确认单-小计-总结算金额，单位：元 */
    @ApiModelProperty(value = "省平台修改-入库确认单-小计-总结算金额，单位：元", position = 9)
    private BigDecimal provinceTotalSettleAmount;

    /** 省平台修改-货款支付情况-货款支付时间 */
    @ApiModelProperty(value = "省平台修改-货款支付情况-货款支付时间", position = 10)
    private Date provincePaymentTime;

    /** 省平台修改-货款支付情况-凭证号 */
    @ApiModelProperty(value = "省平台修改-货款支付情况-凭证号", position = 11)
    private String provinceVoucherNumber;

    /** 省平台修改-货款支付情况-单位名称 */
    @ApiModelProperty(value = "省平台修改-货款支付情况-单位名称", position = 12)
    private String provincePayerUnitName;

    /** 省平台修改-货款支付情况-已付粮款，单位：元 */
    @ApiModelProperty(value = "省平台修改-货款支付情况-已付粮款，单位：元", position = 13)
    private BigDecimal provincePaidGrainMoney;

    /** 省平台修改-货款支付情况-未付粮款，单位：元 */
    @ApiModelProperty(value = "省平台修改-货款支付情况-未付粮款，单位：元", position = 14)
    private BigDecimal provinceUnpaidGrainMoney;

    /** 省平台修改-发票情况-单位 */
    @ApiModelProperty(value = "省平台修改-发票情况-单位", position = 15)
    private String provinceInvoiceUnit;

    /** 省平台修改-发票情况-发票数量 */
    @ApiModelProperty(value = "省平台修改-发票情况-发票数量", position = 16)
    private Integer provinceInvoiceQuantity;

    /** 省平台修改-发票情况-发票金额，单位：元 */
    @ApiModelProperty(value = "省平台修改-发票情况-发票金额，单位：元", position = 17)
    private BigDecimal provinceInvoiceAmount;

    /** 省平台修改-入库费用维护-对方单位 */
    @ApiModelProperty(value = "省平台修改-入库费用维护-对方单位", position = 18)
    private String provinceWcmCostMainUnit;

    /** 省平台修改-入库费用维护-费用名称 */
    @ApiModelProperty(value = "省平台修改-入库费用维护-费用名称", position = 19)
    private String provinceWcmCostName;

    /** 省平台修改-入库费用维护-会计凭证号 */
    @ApiModelProperty(value = "省平台修改-入库费用维护-会计凭证号", position = 20)
    private String provinceWcmAccountingVoucherNumber;

    /** 省平台修改-入库费用维护-发票金额 */
    @ApiModelProperty(value = "省平台修改-入库费用维护-发票金额", position = 21)
    private BigDecimal provinceWcmInvoiceAmount;

    /** 省平台修改-入库费用维护-已支付费用，单位：元 */
    @ApiModelProperty(value = "省平台修改-入库费用维护-已支付费用，单位：元", position = 22)
    private BigDecimal provinceWcmPaidCost;

    /** 省平台修改-入库费用维护-非支付费用，单位：元 */
    @ApiModelProperty(value = "省平台修改-入库费用维护-非支付费用，单位：元", position = 23)
    private BigDecimal provinceWcmNonPaymentCost;

    //入库确认时间
    @ApiModelProperty(value = "入库确认时间")
    @TableField(exist = false)
    private Date receiptConfirmationTime;
    /*//确认数量
    @ApiModelProperty(value = "确认数量")
    @TableField(exist = false)
    private BigDecimal totalSettleQuantity;
    //金额
    @ApiModelProperty(value = "金额")
    @TableField(exist = false)
    private BigDecimal totalSettleAmount;
    //支付时间
    @ApiModelProperty(value = "支付时间")
    @TableField(exist = false)
    private Date paymentTime;
    //凭证号
    @ApiModelProperty(value = "凭证号")
    @TableField(exist = false)
    private String voucherNumber;
    //贷款支付情况-单位
    @ApiModelProperty(value = "贷款支付情况-单位")
    @TableField(exist = false)
    private String payerUnitName;
    //已付粮款
    @ApiModelProperty(value = "已付粮款")
    @TableField(exist = false)
    private BigDecimal paidGrainMoney;
    //未付粮款
    @ApiModelProperty(value = "未付粮款")
    @TableField(exist = false)
    private BigDecimal unpaidGrainMoney;
    //发票情况-单位
    @ApiModelProperty(value = "发票情况-单位")
    @TableField(exist = false)
    private String invoiceUnit;
    //发票数量
    @ApiModelProperty(value = "发票数量")
    @TableField(exist = false)
    private BigDecimal invoiceQuantity;
    //发票金额
    @ApiModelProperty(value = "发票金额")
    @TableField(exist = false)
    private BigDecimal invoiceAmount;
    //对方单位
    @ApiModelProperty(value = "入库费用维护-对方单位")
    @TableField(exist = false)
    private String wcmCostMainUnit;
    //费用名称
    @ApiModelProperty(value = "入库费用维护-费用名称")
    @TableField(exist = false)
    private String wcmCostName;
    //会计证凭号
    @ApiModelProperty(value = "入库费用维护-会计凭证号")
    @TableField(exist = false)
    private String wcmAccountingVoucherNumber;
    //发票金额
    @ApiModelProperty(value = "入库费用维护-发票金额")
    @TableField(exist = false)
    private BigDecimal wcmInvoiceAmount;
    //已支费用
    @ApiModelProperty(value = "入库费用维护-已支付费用")
    @TableField(exist = false)
    private BigDecimal wcmPaidCost;
    //非付费用
    @ApiModelProperty(value = "入库费用维护-非支付费用")
    @TableField(exist = false)
    private BigDecimal wcmNonPaymentCost;*/
}
