/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 *//*

package com.unis.financialSupervision.modular.priceApprovalThreeConsistence.controller;

import cn.dev33.satoken.annotation.SaCheckPermission;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.xiaoymin.knife4j.annotations.ApiOperationSupport;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.common.annotation.CommonLog;
import com.unis.common.pojo.CommonResult;
import com.unis.common.pojo.CommonValidList;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.entity.PriceApprovalThreeConsistence;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistenceAddParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistenceEditParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistenceIdParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistencePageParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.service.PriceApprovalThreeConsistenceService;

import javax.annotation.Resource;
import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

*/
/**
 * 方案价格核定-三账一致性控制器
 *
 * @author QSHan
 * @date  2024/07/08 15:24
 *//*

@Api(tags = "方案价格核定-三账一致性控制器")
@ApiSupport(author = "UNIS_TEAM", order = 1)
@RestController
@Validated
public class PriceApprovalThreeConsistenceController {

    @Resource
    private PriceApprovalThreeConsistenceService priceApprovalThreeConsistenceService;

    */
/**
     * 获取方案价格核定-三账一致性分页
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     *//*

    @ApiOperationSupport(order = 1)
    @ApiOperation("获取方案价格核定-三账一致性分页")
    @SaCheckPermission("/financialSupervision/priceApprovalThreeConsistence/page")
    @GetMapping("/financialSupervision/priceApprovalThreeConsistence/page")
    public CommonResult<Page<PriceApprovalThreeConsistence>> page(PriceApprovalThreeConsistencePageParam priceApprovalThreeConsistencePageParam) {
        return CommonResult.data(priceApprovalThreeConsistenceService.page(priceApprovalThreeConsistencePageParam));
    }

    */
/**
     * 添加方案价格核定-三账一致性
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     *//*

    @ApiOperationSupport(order = 2)
    @ApiOperation("添加方案价格核定-三账一致性")
    @CommonLog("添加方案价格核定-三账一致性")
    @SaCheckPermission("/financialSupervision/priceApprovalThreeConsistence/add")
    @PostMapping("/financialSupervision/priceApprovalThreeConsistence/add")
    public CommonResult<String> add(@RequestBody @Valid PriceApprovalThreeConsistenceAddParam priceApprovalThreeConsistenceAddParam) {
        priceApprovalThreeConsistenceService.add(priceApprovalThreeConsistenceAddParam);
        return CommonResult.ok();
    }

    */
/**
     * 编辑方案价格核定-三账一致性
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     *//*

    @ApiOperationSupport(order = 3)
    @ApiOperation("编辑方案价格核定-三账一致性")
    @CommonLog("编辑方案价格核定-三账一致性")
    @SaCheckPermission("/financialSupervision/priceApprovalThreeConsistence/edit")
    @PostMapping("/financialSupervision/priceApprovalThreeConsistence/edit")
    public CommonResult<String> edit(@RequestBody @Valid PriceApprovalThreeConsistenceEditParam priceApprovalThreeConsistenceEditParam) {
        priceApprovalThreeConsistenceService.edit(priceApprovalThreeConsistenceEditParam);
        return CommonResult.ok();
    }

    */
/**
     * 删除方案价格核定-三账一致性
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     *//*

    @ApiOperationSupport(order = 4)
    @ApiOperation("删除方案价格核定-三账一致性")
    @CommonLog("删除方案价格核定-三账一致性")
    @SaCheckPermission("/financialSupervision/priceApprovalThreeConsistence/delete")
    @PostMapping("/financialSupervision/priceApprovalThreeConsistence/delete")
    public CommonResult<String> delete(@RequestBody @Valid @NotEmpty(message = "集合不能为空")
                                                   CommonValidList<PriceApprovalThreeConsistenceIdParam> priceApprovalThreeConsistenceIdParamList) {
        priceApprovalThreeConsistenceService.delete(priceApprovalThreeConsistenceIdParamList);
        return CommonResult.ok();
    }

    */
/**
     * 获取方案价格核定-三账一致性详情
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     *//*

    @ApiOperationSupport(order = 5)
    @ApiOperation("获取方案价格核定-三账一致性详情")
    @SaCheckPermission("/financialSupervision/priceApprovalThreeConsistence/detail")
    @GetMapping("/financialSupervision/priceApprovalThreeConsistence/detail")
    public CommonResult<PriceApprovalThreeConsistence> detail(@Valid PriceApprovalThreeConsistenceIdParam priceApprovalThreeConsistenceIdParam) {
        return CommonResult.data(priceApprovalThreeConsistenceService.detail(priceApprovalThreeConsistenceIdParam));
    }
}
*/
