/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 方案价格核定-三账一致性添加参数
 *
 * @author QSHan
 * @date  2024/07/08 15:24
 **/
@Getter
@Setter
public class PriceApprovalThreeConsistenceAddParam {

    /** 创建人 */
    @ApiModelProperty(value = "创建人", position = 2)
    private String createname;

    /** 创建日期 */
    @ApiModelProperty(value = "创建日期", position = 3)
    private Date createdate;

    /** 更新人 */
    @ApiModelProperty(value = "更新人", position = 4)
    private String updatename;

    /** 更新日期 */
    @ApiModelProperty(value = "更新日期", position = 5)
    private Date updatedate;

    /** business_fs_storage_price_approval的ID */
    @ApiModelProperty(value = "business_fs_storage_price_approval的ID", position = 6)
    private Integer fsStoragePriceApprovalId;

    /** 年 */
    @ApiModelProperty(value = "年", position = 7)
    private Date year;

    /** 月份 */
    @ApiModelProperty(value = "月份", position = 8)
    private String month;

    /** 入库情况-仓号；basic_storehouse的id；仓房id */
    @ApiModelProperty(value = "入库情况-仓号；basic_storehouse的id；仓房id", position = 9)
    private Integer basicStorehouseId;

    /** 入库情况-其中：等量补库 */
    @ApiModelProperty(value = "入库情况-其中：等量补库", position = 10)
    private String equalQuantitySupplement;

    /** 省平台修改-入库情况-其中：等量补库 */
    @ApiModelProperty(value = "省平台修改-入库情况-其中：等量补库", position = 11)
    private String provinceEqualQuantitySupplement;

    /** 入库情况-保管账数量 */
    @ApiModelProperty(value = "入库情况-保管账数量", position = 12)
    private BigDecimal custodyAccountQuantity;

    /** 省平台修改-入库情况-保管账数量 */
    @ApiModelProperty(value = "省平台修改-入库情况-保管账数量", position = 13)
    private String provinceCustodyAccountQuantity;

    /** 入库情况-统计账数量，单位：公斤； */
    @ApiModelProperty(value = "入库情况-统计账数量，单位：公斤；", position = 14)
    private BigDecimal statisticalAccountQuantity;

    /** 省平台修改-入库情况-统计账数量，单位：公斤； */
    @ApiModelProperty(value = "省平台修改-入库情况-统计账数量，单位：公斤；", position = 15)
    private BigDecimal provinceStatisticalAccountQuantity;

    /** 会计账-数量，单位：公斤 */
    @ApiModelProperty(value = "会计账-数量，单位：公斤", position = 16)
    private BigDecimal accountingQuantity;

    /** 省平台修改-会计账-数量，单位：公斤； */
    @ApiModelProperty(value = "省平台修改-会计账-数量，单位：公斤；", position = 17)
    private BigDecimal provinceAccountingQuantity;

    /** 会计账-单价，单位：元/公斤 */
    @ApiModelProperty(value = "会计账-单价，单位：元/公斤", position = 18)
    private BigDecimal accountingUnitPrice;

    /** 省平台修改-会计账-单价，单位：元/公斤 */
    @ApiModelProperty(value = "省平台修改-会计账-单价，单位：元/公斤", position = 19)
    private BigDecimal provinceAccountingUnitPrice;

    /** 会计账-金额，单位：元 */
    @ApiModelProperty(value = "会计账-金额，单位：元", position = 20)
    private BigDecimal accountingAmount;

    /** 省平台修改-会计账-金额，单位：元 */
    @ApiModelProperty(value = "省平台修改-会计账-金额，单位：元", position = 21)
    private BigDecimal provinceAccountingAmount;

}
