/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package com.unis.financialSupervision.modular.priceApprovalThreeConsistence.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.entity.PriceApprovalThreeConsistence;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistenceAddParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistenceEditParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistenceIdParam;
import com.unis.financialSupervision.modular.priceApprovalThreeConsistence.param.PriceApprovalThreeConsistencePageParam;

import java.util.List;

/**
 * 方案价格核定-三账一致性Service接口
 *
 * @author QSHan
 * @date  2024/07/08 15:24
 **/
public interface PriceApprovalThreeConsistenceService extends IService<PriceApprovalThreeConsistence> {

    /**
     * 获取方案价格核定-三账一致性分页
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     */
    Page<PriceApprovalThreeConsistence> page(PriceApprovalThreeConsistencePageParam priceApprovalThreeConsistencePageParam);

    /**
     * 添加方案价格核定-三账一致性
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     */
    void add(PriceApprovalThreeConsistenceAddParam priceApprovalThreeConsistenceAddParam);

    /**
     * 编辑方案价格核定-三账一致性
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     */
    void edit(PriceApprovalThreeConsistenceEditParam priceApprovalThreeConsistenceEditParam);

    /**
     * 删除方案价格核定-三账一致性
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     */
    void delete(List<PriceApprovalThreeConsistenceIdParam> priceApprovalThreeConsistenceIdParamList);

    /**
     * 获取方案价格核定-三账一致性详情
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     */
    PriceApprovalThreeConsistence detail(PriceApprovalThreeConsistenceIdParam priceApprovalThreeConsistenceIdParam);

    /**
     * 获取方案价格核定-三账一致性详情
     *
     * @author QSHan
     * @date  2024/07/08 15:24
     **/
    PriceApprovalThreeConsistence queryEntity(Integer id);
}
